Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class AbstractTransformer

    java.lang.Object
      ru.biosoft.access.AbstractTransformer

All Implemented Interfaces:
  Transformer

Direct Known Subclasses:
  CellMLDiagramTransformer, DatabaseEntryTransformer, DiagramXmlTransformer, GinSimTransformer, GxlTransformer, SbmlDiagramTransformer, TagEntryTransformer, XMLTransformer

public abstract class AbstractTransformer
extends java.lang.Object
implements Transformer

Transform data element of one type to other type. Implement Transformer interface for easy of use in derived classes.

See Also:
  `TransformedDataCollection`

Field Summary
`protected static java.lang.String` | `lineSep`
`protected DataCollection` | `primaryCollection` Data collection of input data elements
`protected DataCollection` | `transformedCollection` Data collection of output data elements

Constructor Summary
`AbstractTransformer()`

Method Summary
`DataCollection` | `getPrimaryCollection()` Gets primary data collection connected with transformer.
`DataCollection` | `getTransformedCollection()` Gets transformed data collection connected with transformer.
`void` | `init(DataCollection primaryCollection, DataCollection transformedCollection)` Initialize transformer for support optional methods.
`boolean` | `isInputType(java.lang.Class type)` Returns is specified class accepted as input type.
`boolean` | `isOutputType(java.lang.Class type)` Returns is specified class accepted as output type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.Transformer
`getInputType, getOutputType, transformInput, transformOutput`

Field Detail

### lineSep

    protected static final java.lang.String lineSep

### primaryCollection

    protected DataCollection primaryCollection

  Data collection of input data elements

### transformedCollection

    protected DataCollection transformedCollection

  Data collection of output data elements

Constructor Detail

### AbstractTransformer

    public AbstractTransformer()

Method Detail

### init

    public void init(DataCollection primaryCollection,
                     DataCollection transformedCollection)

  Initialize transformer for support optional methods.

  Specified by:
    `init` in interface `Transformer`
  See Also:
    `getPrimaryCollection()`, `getTransformedCollection()`

### getPrimaryCollection

    public DataCollection getPrimaryCollection()

  Gets primary data collection connected with transformer.

  Specified by:
    `getPrimaryCollection` in interface `Transformer`
  Returns:
    primary data collection.
  See Also:
    `Transformer.init(DataCollection,DataCollection)`

### getTransformedCollection

    public DataCollection getTransformedCollection()

  Gets transformed data collection connected with transformer.

  Specified by:
    `getTransformedCollection` in interface `Transformer`
  Returns:
    transformed data collection.
  See Also:
    `Transformer.init(DataCollection,DataCollection)`

### isOutputType

    public boolean isOutputType(java.lang.Class type)

  Description copied from interface: `Transformer`
  Returns is specified class accepted as output type.

  Specified by:
    `isOutputType` in interface `Transformer`
  Parameters:
    `type` - Class for checking.
  Returns:
    `true` - if type is output type, `false` otherwise.

### isInputType

    public boolean isInputType(java.lang.Class type)

  Description copied from interface: `Transformer`
  Returns is specified class accepted as input type.

  Specified by:
    `isInputType` in interface `Transformer`
  Parameters:
    `type` - Class for checking.
  Returns:
    `true` - if type is input type, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.